# Uses of Class
org.eclipse.jdt.core.dom.AnonymousClassDeclaration

Packages that use AnonymousClassDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of AnonymousClassDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return AnonymousClassDeclaration
Modifier and Type
Method
Description
`AnonymousClassDeclaration`
ClassInstanceCreation.`getAnonymousClassDeclaration()`
Returns the anonymous class declaration introduced by this class instance creation expression, if it has one.
`AnonymousClassDeclaration`
EnumConstantDeclaration.`getAnonymousClassDeclaration()`
Returns the anonymous class declaration introduced by this enum constant declaration, if it has one.
`AnonymousClassDeclaration`
AST.`newAnonymousClassDeclaration()`
Creates and returns a new unparented anonymous class declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type AnonymousClassDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(AnonymousClassDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(AnonymousClassDeclaration node, Object other)`
Returns whether the given node and the other object match.
`void`
ClassInstanceCreation.`setAnonymousClassDeclaration(AnonymousClassDeclaration decl)`
Sets whether this class instance creation expression declares an anonymous class (that is, has class body declarations).
`void`
EnumConstantDeclaration.`setAnonymousClassDeclaration(AnonymousClassDeclaration decl)`
Sets whether this enum constant declaration declares an anonymous class (that is, has class body declarations).
`boolean`
ASTVisitor.`visit(AnonymousClassDeclaration node)`
Visits the given type-specific AST node.